Update usage tiers for a line item

Updates existing usage price tiers for a specific line item within a cart. This operation modifies the pricing structure tiers based on usage volumes or quantities. Each usage price tier in the request must include an ID to identify which tier to update. Duplicate tier IDs in the request are automatically removed before processing. The cartId and lineItemId must be valid and the request must include at least one usage price tier with an ID.
Note: The object must have an ID to update the usage price tier.

Mandatory Fields (each usage price tier):

  • Id - required to identify which tier to update
  • Sequence - required and must be greater than 0
  • LineItem - required
  • LineItem.Id - required and must match the itemId route value
  • TierStartValue - required when tier values are applicable

Required Fields:

  • cartId (route) - required
  • itemId (route) - required

Responses

  • 200 OK: the usage tiers were updated.
  • 400 Bad Request: the request payload is empty or invalid.
  • 500 Internal Server Error: an unexpected error occurred.
Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Path Params
string
required

A unique identifier of the cart

string
required

A unique identifier of the line item

Body Params

A list of usage price tiers

Headers
string
enum
Defaults to application/json

Generated from available request content types

Allowed:
Responses

500

Internal Server Error

Language
Credentials
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json